This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1001753 - Update runtime JARs included in tools
Update runtime JARs included in tools
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
urgent Severity urgent
: ER3
: ---
Assigned To: Rob Cernich
Andrej Podhradsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 12:29 EDT by Rob Cernich
Modified: 2014-06-16 19:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1670 Blocker Closed Update runtime JARs included in tools 2014-06-16 19:52:42 EDT

  None (edit)
Description Rob Cernich 2013-08-27 12:29:03 EDT
Description of problem:
Recent updates for logging have added a dependency on jboss logging to the runtime model classes.  This dependency does not exist in the tools and therefore the runtime model classes cannot be loaded.  To rectify the situation, the jboss logging dependency needs to be added to the switchyard.core plugin (although it's packages do not need to be exported) or we should remove the runtime models from the tools.  Removing the runtime models would mean removing the tree structure under the switchyard node in the project explorer.

I have not tested, but I suspect this renders the tools unusable.
Comment 2 JBoss JIRA Server 2013-08-28 16:48:08 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1670

pushed
Comment 6 Andrej Podhradsky 2013-12-13 10:13:16 EST
Verified with JBDS-IS 7.0.0.CR1 (contains SwitchYard Tools 1.1.1.v20131205-1627-H426-Final). Plugin org.switchyard.tools.core includes jboss-logging.jar.
Comment 7 JBoss JIRA Server 2014-06-16 19:52:43 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1670 to Closed

Note You need to log in before you can comment on or make changes to this bug.